Subject: bug#12401: scroll-preserve-screen-position broken with font height faces

From: martin rudalics <[email-masked]>
Date: Wed, 12 Sep 2012 19:38:02 +0200

> Because all scroll-preserve-screen-position does is put point on
 > certain window-relative pixel coordinates.  For this to follow a
 > repeatable series of point values, you need the series of window-start
 > positions to be repeatable, too.
 >
 > IOW, if you start with point P1 and window-start W1, and do a C-v
 > followed by M-v, then setting point at the same pixel distance from
 > the left-top window edge will get you back to P1 iff the window-start
 > gets back at W1.

Yes.  Given the constraints of `scroll-preserve-screen-position' I
understand you now.

martin